org.mariadb.jdbc.internal.queryresults

## Interface ValueObject

All Known Implementing Classes:
  MariaDbValueObject

    public interface ValueObject

### Field Summary

Fields
`static int` `TINYINT1_IS_BIT`
`static int` `YEAR_IS_DATE_TYPE`

### Method Summary

All Methods Instance Methods Abstract Methods
`BigDecimal` `getBigDecimal()`
`BigInteger` `getBigInteger()`
`InputStream` `getBinaryInputStream()`
`Blob` `getBlob()`
`boolean` `getBoolean()`
`byte` `getByte()`
`byte[]` `getBytes()`
`Date` `getDate(Calendar cal)`
`double` `getDouble()`
`float` `getFloat()`
`InputStream` `getInputStream()`
`int` `getInt()`
`long` `getLong()`
`Object` `getObject(int datatypeMappingFlags, Calendar cal)`
`short` `getShort()`
`String` `getString()`
`String` `getString(Calendar cal)`
`Time` `getTime(Calendar cal)`
`Timestamp` `getTimestamp(Calendar cal)`
`boolean` `isNull()`

### Field Detail

#### TINYINT1_IS_BIT

    static final int TINYINT1_IS_BIT

See Also:
  Constant Field Values

#### YEAR_IS_DATE_TYPE

    static final int YEAR_IS_DATE_TYPE

See Also:
  Constant Field Values

### Method Detail

#### getString

    String getString(Calendar cal)

#### getString

    String getString()

#### getLong

    long getLong()

#### getInt

    int getInt()

#### getShort

    short getShort()

#### getByte

    byte getByte()

#### getBytes

    byte[] getBytes()

#### getFloat

    float getFloat()

#### getDouble

    double getDouble()

#### getBigDecimal

    BigDecimal getBigDecimal()

#### getBigInteger

    BigInteger getBigInteger()

#### getInputStream

    InputStream getInputStream()

#### getBinaryInputStream

    InputStream getBinaryInputStream()

#### getObject

    Object getObject(int datatypeMappingFlags,
                     Calendar cal)
              throws ParseException

Throws:
  `ParseException`

#### getDate

    Date getDate(Calendar cal)
          throws ParseException

Throws:
  `ParseException`

#### getTime

    Time getTime(Calendar cal)
          throws ParseException

Throws:
  `ParseException`

#### getTimestamp

    Timestamp getTimestamp(Calendar cal)
                    throws ParseException

Throws:
  `ParseException`

#### getBoolean

    boolean getBoolean()

#### isNull

    boolean isNull()

#### getBlob

    Blob getBlob()